# Barry::BadPacket Class Reference
[Exceptions]

`#include <error.h>`

Inheritance diagram for Barry::BadPacket:

[legend]
Collaboration diagram for Barry::BadPacket:

[legend]

List of all members.

## Detailed Description

Thrown by the socket class if a packet command's response indicates an error.

Some commands may be able to recover inside the library, so a special exception is used, that includes the response code.

Definition at line 202 of file error.h.

The documentation for this class was generated from the following file:

- error.h